package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.PumpRoomAddCmd;
import com.zcloud.zcGbsServicer.dto.PumpRoomPageQry;
import com.zcloud.zcGbsServicer.dto.PumpRoomScreenQry;
import com.zcloud.zcGbsServicer.dto.PumpRoomUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.PumpRoomCO;
import com.zcloud.zcGbsServicer.dto.clientobject.PumpRoomScreenCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:22:16
*/
public interface PumpRoomServiceI {
    PageResponse<PumpRoomCO> listPage(PumpRoomPageQry qry);

    PageResponse<PumpRoomScreenCO> listScreen(PumpRoomScreenQry qry);

    PumpRoomCO getInfoById(Long id);

    SingleResponse<PumpRoomCO> add(PumpRoomAddCmd cmd);

    void edit(PumpRoomUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

